/******************************************************************************
	adtek_8132_I.h
	2001/04/18 by M.Tadano
******************************************************************************/

#ifdef DDRIVER
#define	ADTEK_8132_IN_BOARD_VENDOR	0x136c
#define	ADTEK_8132_IN_BOARD_DEVICE	0x8132
#define	DEVICE_NAME	"adtek_8132"

#define	ADR_PORT1		dDriver.iobase1 + 0x00
#define	ADR_PORT2		dDriver.iobase1 + 0x01
#define	ADR_PORT3		dDriver.iobase1 + 0x02
#define	ADR_PORT4		dDriver.iobase1 + 0x03
#define	ADR_PORT5		dDriver.iobase1 + 0x04
#define	ADR_PORT6		dDriver.iobase1 + 0x05
#define	ADR_PORT7		dDriver.iobase1 + 0x06
#define	ADR_PORT8		dDriver.iobase1 + 0x07
#define	ADR_INT_FLAG		dDriver.iobase0 + 0x02
#define	ADR_INT_CLEAR		dDriver.iobase0 + 0x03
#define	ADR_INT_CNT1		dDriver.iobase0 + 0x0e
#define	ADR_INT_CNT2		dDriver.iobase0 + 0x0f

typedef struct {
	int     memory;
	int     iobase0;
	int     iobase1;
	int     iobase2;
	int     iobase3;
	int     iobase4;
	int     iobase5;
	unsigned int    irq;
	wait_queue_head_t       queue;
	int     f_pos;
	int     major;
	int     minor;
} dDriver_t;
#endif

#define	MAX_PORT		8
#define	TRG_MODE_LEVEL		0
#define	TRG_MODE_EDGE		0x22
#define	TRG_LOGIC_HIGH		0x88
#define	TRG_LOGIC_LOW		0
enum status			{OFF, ON};

/* end of file ***************************************************************/
