/*
	adtek_8133 device driver check program	check.c
	2001/04/19	by M.tadano
	usage	:	check 0x01 1	
			check 'write_data' 'port_number'
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	<fcntl.h>
#include	<unistd.h>
#include	<string.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	<sys/ioctl.h>

typedef struct	{
	unsigned char	data;
	int	port;
} set_up_t;

main (int argc, char **argv)
{
int	fd, len, i, data, mode, chn;
long int	interval;
set_up_t	setup;

	printf ("program start\n");
	if (1 < argc )
		setup.data = (unsigned char)atoi (argv[1]);
	else	{
		printf ("write data (0-255) ?");
		scanf ("%d", &data);
		setup.data = (unsigned char)data;
	}
	if (2 < argc)
		setup.port = atoi (argv[2]);
	else	{
		printf ("write port (1-8) ?");
		scanf ("%d", &setup.port);
	}
	if (setup.port < 1 || 8 < setup.port)
		setup.port = 1;

	if ((fd = open ("/dev/adtek_8133", O_RDWR)) == -1)	{
		perror ("file open error:");
		return -1;
	}
	printf ("device file write\n");
	write (fd, (char *)&setup, sizeof (setup));
	printf ("write data = %x write port = %d\n",
			setup.data, setup.port);

	close (fd);
	printf ("program end\n");
}
/* end of file *******************************************/
