/******************************************************************************
	advanet_2610_AD.h
	2001/03/02 by M.Tadano
******************************************************************************/
#ifdef DDRIVER
#define	ADVANET_2610_ADC_BOARD_VENDOR	0x130f
#define	ADVANET_2610_ADC_BOARD_DEVICE	0x0110

#define	STS_ADR		dDriver.iobase0 + 0x00	/* R only */
#define	INT_ENABLE	dDriver.iobase0 + 0x04	/* R/W */
#define	INT_PRIMARY	dDriver.iobase0 + 0x08	/* R/W */
#define	CLK_DATA	dDriver.iobase0 + 0x0c	/* W only */
#define	SOFT_TRG	dDriver.iobase0 + 0x10	/* W only */
#define	TRG_MODE	dDriver.iobase0 + 0x14	/* W only */
#define	DATA_ADR	dDriver.iobase0 + 0x18	/* R only */
#define	FIFO_ADR	dDriver.iobase0 + 0x1c	/* W only */
#define	EEPROM_ADR	dDriver.iobase0 + 0x20	/* R/W */

typedef struct {
	int     memory;
	int     iobase0;
	int     iobase1;
	int     iobase2;
	int     iobase3;
	int     iobase4;
	int     iobase5;
	unsigned int    irq;
	wait_queue_head_t       queue;
	int     f_pos;
	int     major;
	int     minor;
} dDriver_t;
#endif

#define	EEPROM_READ			0x2610
#define	ON				1
#define	OFF				0

#define	DEVICE_NAME			"advanet_2610"
#define	CHANNEL_MAX			8	/* diff mode */

#define	SINGLE_SINGLECHN		1	/* not use this board */
#define	SINGLE_MULTICHN			2
#define	MULTI_SINGLECHN			3	/* not use this board */
#define	MULTI_MULTICHN			4
#define	CONTINUAS_SINGLECHN		5	/* not use this board */
#define	CONTINUAS_MULTICHN		6
#define	ADC_START			10
#define	ADC_STOP			11
typedef struct  {
	short   	mode;
	int     	count;
	long int        interval;
} set_up_t;

/* end of file ***************************************************************/
