/*
	gettimeofday.c
	2001.04.13
*/

#include	<time.h>
#include	<sys/time.h>
#include	<unistd.h>
#include	<stdio.h>

int	e_time (struct timeval *first, struct timeval *second)
{

	if (first->tv_usec > second->tv_usec)	{
		second->tv_usec =+ 1000000;
		second->tv_sec --;
	}
	return ((int)(second->tv_sec - first->tv_sec)*1000000
		+ (int)(second->tv_usec - first->tv_usec));
}

int	main (int argc, char **argv)
{
int	i, default_etime;
struct timeval	start, stop;
struct	timezone	tzpstart, tzpstop;

	gettimeofday (&start, &tzpstart);
	gettimeofday (&stop, &tzpstop);
	default_etime = e_time (&start, &stop);

	gettimeofday (&start, &tzpstart);

	for (i = 0; i < 1000; i++)	{
		/* measurement code */
	}

	gettimeofday (&stop, &tzpstop);
	printf ("elapse time of 'for (i = 0; i < 1000; {}' = %d in microsec.\n",
		e_time (&start, &stop) - default_etime);
	printf ("overhead of gettimeofday = %d in microsec.\n", default_etime);
}
