/*
	rdtsctest.c
	2001/04/13
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	<unistd.h>

unsigned long long int	rdtsc (void)
{
unsigned long long int	x;
	
	__asm__	volatile (".byte 0x0f, 0x31" : "=A" (x));
	return x;
}

main ()
{
unsigned long long int	a, b;
unsigned long long int	a1, b1;
unsigned long long int	a2, b2;
unsigned long long int	a3, b3;
unsigned long long int	a4, b4;

int	i;

	a = rdtsc();

	a4 = rdtsc();
	for (i = 0; i < 1000; i++);
	b4 = rdtsc ();

	a3 = rdtsc();
	for (i = 0; i < 100; i++);
	b3 = rdtsc ();

	a2 = rdtsc();
	for (i = 0; i < 10; i++);
	b2 = rdtsc ();

	a1 = rdtsc();
	b1 = rdtsc();

	printf ("current clock is %x%x count in hex.\n", (int)(a>>32), (int)a);
	printf ("No instruction took %d count in dec.\n", (int)(b1-a1));
	printf ("for ( i = 0; i < 10; i++) statement took %d count\n", (int)(b2-a2));
	printf ("for ( i = 0; i < 100; i++) statement took %d count\n", (int)(b3-a3));
	printf ("for ( i = 0; i < 1000; i++) statement took %d count\n", (int)(b4-a4));

	a = rdtsc ();
	usleep (1000000);
	b = rdtsc ();
	printf ("usleep (1000000) tool %d count.\n", (int)(b-a));

	a = rdtsc();
	usleep (1000);
	b = rdtsc ();
	printf ("usleep (1000) tool %d count.\n", (int)(b-a));
}
